Skip to main content

Best Offer

GET 

/client/users/:correlation_id/offer

Returns the most relevant offer information for the current session.

Query Parameters

You can add optionally add query parameters to control the business unit or locale for the best offer returned.

KeyValueDefaultNotes/Examples
localeSpecify the locale setting for the offer(s) returned.String, values supported are: "en-CA", "en-US", and "fr-CA" as well as "EN" and "FR"Optional. Priority order: (1) this query parameter; (2) locale set on the account; (3) environment locale. If locale is not provided or is not a valid value, the configured environment default is used.
businessUnitName of business unit(s) for which offers should be returned.StringCan provide name of one businessUnit (only data for that BU is returned) or more than one by having a "businessUnit" name value for each. If this parameter is not used, then offers for all BUs are returned.

Request

Body

This request has no body.

Response

AttributeDefinitionFormatNotes
idThe offer IDString
typeThe type of offerEnum: "FLAT", "MULTIPLIER", or "PERCENTAGE"FLAT = rewards exact number of points when reward fires; MULTIPLIER = reward a multiple of base points; PERCENTAGE = reward a number of points based on the eligible spend equivalent to the percentage spent
rankSets the ranking priority of the offerNumber: 0-9Smaller numbers are higher ranks
acceptanceStateWhether or not the offer has been acceptedEnum: "ACCEPTED", "NONE", or "COMPLETED"
acceptanceMethodThe method by which the offer was acceptedString: "LTC"With LTC (Load to Card), the offer must be accepted by targeted member before performing the requested behaviour.
shortDescription1Additional field for offer copyStringAny string value that is valid per corresponding regex restriction
shortDescription2Additional field for offer copyStringAny string value that is valid per corresponding regex restriction
longDescriptionOffer description used for displayStringAny string value that is valid per corresponding regex restriction
promotionHeadlinePrimary offer title copy used for displayStringAny string value that is valid per corresponding regex restriction
tcMessageThe Terms and Conditions messageString
expirationDateThe date on which the offer expiresString
effectiveDateThe date on which the offer becomes effectiveString
smallImageURIURI of small imageStringAny string value that is valid per corresponding regex restriction
largeImageURIURI of large imageStringAny string value that is valid per corresponding regex restriction
smallHDImageURIURI of small high-definition imageStringAny string value that is valid per corresponding regex restriction
largeHDImageURIURI of large high-definition imageStringAny string value that is valid per corresponding regex restriction
rewardAmountThe amount of the rewardNumber
rewardDescriptionDescription of the reward to be hadStringFor instance: "Spend 20, get 500 points."
promptMessageIDContains ID of messages for the POS operator or member associated with the offer displayedArray

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestInvalid business unit(s) provided.INVALID_BUSINESS_UNIT

Request

Responses

200 - Best Offer for Current Session